Bug 524409 - [abrt] crash detected in epiphany-2.27.92-2.fc12
Summary: [abrt] crash detected in epiphany-2.27.92-2.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e895c53623b2c2729cbaa500cdf...
: 594568 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 22:35 UTC by Tomasz Torcz
Modified: 2018-04-11 09:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:21:40 UTC


Attachments (Terms of Use)
File: backtrace (31.55 KB, text/plain)
2009-09-19 22:35 UTC, Tomasz Torcz
no flags Details

Description Tomasz Torcz 2009-09-19 22:35:06 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
Closed windows with failblog.org

Additional information
======


Attached files
----
backtrace

cmdline
-----
epiphany 


component
-----
epiphany


executable
-----
/usr/bin/epiphany


kernel
-----
2.6.31-33.fc12.x86_64


package
-----
epiphany-2.27.92-2.fc12


reason
-----
Process was terminated by signal 11

Comment 1 Tomasz Torcz 2009-09-19 22:35:11 UTC
Created attachment 361791 [details]
File: backtrace

Comment 2 Matěj Cepl 2009-09-22 15:44:46 UTC
Looks more like a crash in WebKit to me, but not sure.

Comment 3 Bug Zapper 2009-11-16 12:39:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Chris Campbell 2010-04-10 19:47:17 UTC
Thread 1 (Thread 4487):
#0  __strlen_sse2 () at ../sysdeps/x86_64/strlen.S:31
No locals.
#1  0x00007fe499c1455d in rpc_message_send_string (message=0x7fff83bce3b0, 
    str=0x5d002200720065 <Address 0x5d002200720065 out of bounds>)
    at ../src/rpc.c:1130
        error = <value optimized out>
        length = -1
        e_value = 32740
#2  0x00007fe499c15091 in rpc_message_send_args (message=0x7fff83bce3b0, 
    args=0x7fff83bce390) at ../src/rpc.c:1172
        type = -2006
        error = 0
        nargs = 8
#3  0x00007fe499c158b5 in _rpc_method_invoke_valist (connection=0x4933d00, 
    method=30, args=0x7fff83bd0410) at ../src/rpc.c:1906
        message = {types = 0x43add10, socket = 31, offset = 68, 
          buffer = "\377\377\364G\000\000\000\022\000\000\000G\377\377\370*\000\000\000\000\377\377\370-\000\000\000]\377\377\370*\000\000\000\000\377\377\370-\000\000\000\000\377\377\370-\000\000\000\000\000\000\000\005\000\000\000\000\000\000\000\030\377\377\370*\005\000\000\000\235\020\003\273\344\177\000\000\000\000\000\000\000\000\000\000\240\000\230\004\000\000\000\000\b\000\000\000\000\000\000\000\006\000\000\000\000\000\000\000\005\000\000\000\005\000\000\000\235\020\003\273\344\177\000\000\000\000\000\000\000\000\000\000\220\000\230\004\000\000\000\000\b\000\000\000\000\000\000\000\006\000\000\000\000\000\000\000\005\000\000\000\005\000\000\000\235\020\003\273\344\177\000\000\000\000\000\000\000\000\000\000\200\000\230\004\000\000\000\000\b\000\000\000\000\000\000\000\006\000\000\000\000\000\000\000\005\000\000\000\005\000\000\000\235\020\003\273\344\177\000\000\000\000\000\000\000\000\000\000p\000\230\004\000\000\000\000"...}
        __PRETTY_FUNCTION__ = "_rpc_method_invoke_valist"
        error = <value optimized out>
        args_copy = {{gp_offset = 48, fp_offset = 48, 
            overflow_arg_area = 0x7fff83bd0550, 
            reg_save_area = 0x7fff83bd0430}}
#4  0x00007fe499c15ba0 in rpc_method_invoke (connection=0x5d002200720060, 
    method=7471205) at ../src/rpc.c:1931
        args = {{gp_offset = 24, fp_offset = 48, 
            overflow_arg_area = 0x7fff83bd04f0, 
            reg_save_area = 0x7fff83bd0430}}
        ret = <value optimized out>
#5  0x00007fe499c0e70c in invoke_NPP_NewStream (stype=<value optimized out>, 
    seekable=<value optimized out>, stream=<value optimized out>, 
    type=<value optimized out>, plugin=<value optimized out>)
    at ../src/npw-wrapper.c:2169
        error = <value optimized out>
        ret = 0
        r_stype = <value optimized out>
#6  g_NPP_NewStream (stype=<value optimized out>, 
    seekable=<value optimized out>, stream=<value optimized out>, 
    type=<value optimized out>, plugin=<value optimized out>)
    at ../src/npw-wrapper.c:2226
        ret = 5
#7  0x00007fe4c5fd15f4 in WebCore::PluginStream::destroyStream (
    this=0x7fe498ce2280) at WebCore/plugins/PluginStream.cpp:294
        emptyMimeType = ""
        newStreamCalled = <value optimized out>
        protect = {<WTF::FastAllocBase> = {<No data fields>}, 
          m_ptr = 0x7fe498ce2280}
#8  0x00007fe4c5fd1822 in WebCore::PluginStream::didFail (this=0x7fe498ce2280, 
    loader=<value optimized out>) at WebCore/plugins/PluginStream.cpp:446
        protect = {<WTF::FastAllocBase> = {<No data fields>}, 
          m_ptr = 0x7fe498ce2280}
#9  0x00007fe4c5eecc5c in WebCore::NetscapePlugInStreamLoader::didCancel (
    this=0x7fe496d83840, error=...)
    at WebCore/loader/NetscapePlugInStreamLoader.cpp:120
        protect = {<WTF::FastAllocBase> = {<No data fields>}, 
          m_ptr = 0x7fe496d83840}
#10 0x00007fe4c5ef0356 in WebCore::ResourceLoader::cancel (
    this=0x7fe496d83840, error=<value optimized out>)
    at WebCore/loader/ResourceLoader.cpp:350
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Chris Campbell 2010-04-10 19:48:26 UTC
Reporter, do you have steps to reproduce this crash?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Tomasz Torcz 2010-04-10 19:55:18 UTC
No, sorry.

Comment 7 Karel Klíč 2010-05-25 08:48:52 UTC
*** Bug 594568 has been marked as a duplicate of this bug. ***

Comment 8 Bug Zapper 2010-11-04 09:55:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:21:40 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.